%define upstream_name    Apache-LogFormat-Compiler
%define upstream_version 0.36

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Compile a log format string to perl-code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(POSIX)
BuildRequires: perl(POSIX::strftime::Compiler) >= 0.300.0
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Time::Local)
BuildRequires: perl(Try::Tiny) >= 0.120.0
BuildRequires: perl(URI::Escape) >= 1.600.0
BuildArch:  noarch

%description
Compile a log format string to perl-code. For faster generation of
access_log lines.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.360.0-4.mga10
+ Revision: 2205718
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.360.0-3.mga9
+ Revision: 1812127
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 0.360.0-2.mga8
+ Revision: 1538290
- Mageia 8 Mass Rebuild

* Mon Nov 18 2019 tv <tv> 0.360.0-1.mga8
+ Revision: 1461593
- update to 0.36

* Thu Sep 20 2018 umeabot <umeabot> 0.350.0-3.mga7
+ Revision: 1281592
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.350.0-2.mga7
+ Revision: 1162980
- rebuild with fixed rpm for missing autodeps

* Thu Sep 21 2017 shlomif <shlomif> 0.350.0-1.mga7
+ Revision: 1156573
- New version 0.35

* Sat Jun 18 2016 pterjan <pterjan> 0.330.0-2.mga6
+ Revision: 1022525
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 0.330.0-1.mga6
+ Revision: 953344
- update to 0.33

* Mon Feb 01 2016 umeabot <umeabot> 0.320.0-4.mga6
+ Revision: 930765
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.320.0-3.mga5
+ Revision: 744413
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.320.0-2.mga5
+ Revision: 683489
- Mageia 5 Mass Rebuild

* Tue Jun 10 2014 sander85 <sander85> 0.320.0-1.mga5
+ Revision: 635465
- update to 0.32

* Tue Feb 25 2014 jquelin <jquelin> 0.300.0-1.mga5
+ Revision: 596846
- update to 0.30

* Sat Oct 19 2013 umeabot <umeabot> 0.130.0-2.mga4
+ Revision: 528777
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.130.0-1.mga4
+ Revision: 447220
- adding missing buildrequires:
- imported package perl-Apache-LogFormat-Compiler


* Wed Jun 26 2013 cpan2dist 0.13-1mga
- initial mageia release, generated with cpan2dist
